Skip to main content
POST
/
v1.1
/
access-token
/
b2b
Generate merchant access token (v1.1)
curl --request POST \
  --url https://singa-payment-gateway.test/api/v1.1/access-token/b2b \
  --header 'Content-Type: application/json' \
  --header 'X-CLIENT-ID: <x-client-id>' \
  --header 'X-PARTNER-ID: <x-partner-id>' \
  --header 'X-Signature: <x-signature>' \
  --data '
{
  "grant_type": "client_credentials"
}
'
{
  "status": 200,
  "success": true,
  "data": {
    "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...",
    "token_type": "Bearer",
    "expires_in": "3600"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.singapay.id/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-PARTNER-ID
string
required

Merchant API key.

Example:

"your_api_key"

X-CLIENT-ID
string
required

Merchant client ID.

Example:

"your_client_id"

X-Signature
string
required

HMAC-SHA512 signature of client_id_client_secret_YYYYMMDD using client_secret as key.

Example:

"a3f6..."

Body

application/json

Request body for POST /v1.1/access-token/b2b.

grant_type
enum<string>
required

OAuth grant type. Must be client_credentials.

Available options:
client_credentials
Example:

"client_credentials"

Response

Access token generated successfully.

Success response envelope for POST /v1.1/access-token/b2b.

status
integer
required
Example:

200

success
boolean
required
Example:

true

data
object
required